<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Nerko+One&family=Quicksand:wght@500&display=swap"
        rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Poppins&display=swap" rel="stylesheet">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
        integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
        crossorigin="anonymous"></script>
    <title>Search Page!</title>
    <link rel="stylesheet" type="text/css" href="{% static 'bookshelves.css' %}">
</head>

<body>

    <nav class="navbar">
        <div class="container-fluid">
            <ul class="nav navbar-nav">
                <li class="header"><a href="{% url 'story7:landingPage' %}">Home</a></li>
                <li class="header"><a href="{% url 'story7:accordion' %}">Accordion Page</a></li>
                <li class="header"><a href="{% url 'story7:bookshelves' %}">Search Book</a></li>
                <li class="header"><a href="{% url 'story7:login' %}">Log In</a></li>
            </ul>
        </div>
    </nav>
    <p id="title">
        Search any books!
    </p>
    <section id="query-section" class="text-center container">
        <input id="keyword" ,placeholder="Place your keyword here">
    </section>

    <section id="catalogue-section" class="text-center container">
        <table class="table table-striped table-dark">
            <thead>
                <tr class="title">
                    <th scope="col">Image</th>
                    <th scope="col">Title</th>
                    <th scope="col">Author</th>
                </tr>
            </thead>
            <tbody id="table-body">
                <!-- content goes here -->
            </tbody>
        </table>
    </section>


    <ol id="result">
    </ol>

    <script type="text/javascript">
        //console.log("js masuk");
        $("#keyword").keyup(function () {
            var keyword_value = $("#keyword").val()
            //console.log(keyword_value)
            var called_url = 'api/books/' + keyword_value;
            //console.log(keyword_value)
            $('#table-body').empty()
            $.ajax({
                url: called_url,
                dataType: 'json',
                type: 'GET',
                success: function (result) {
                    //console.log(result.items)
                    let table_container = $('#table-body')
                    var result_object = $("#result");
                    result_object.empty();
                    for (i = 0; i < result.items.length; i++) {
                        var title_tmp = result.items[i].volumeInfo.title;
                        var thumbnail_tmp = result.items[i].volumeInfo.imageLinks.smallThumbnail;
                        var author_tmp = result.items[i].volumeInfo.authors;
                        //console.log(title_tmp)
                        console.log(author_tmp)
                        let imgCol = '<th scope="row"><img height="150px" width="100px" src="' + thumbnail_tmp + '"></img></th>'
                        let titleCol = '<td class="title-col"><p>' + title_tmp + '</p></td>'
                        let authorCol = '<td class="author-col"><p>' + author_tmp + '</p></td>'
                        table_container.append('<tr>' + imgCol + titleCol + authorCol + '</tr>');
                    }
                }
            })
        });
    </script>

</body>



</html>